Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.format.template
Class BuildException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.jboss.util.NestedException
                  org.jboss.portal.format.template.BuildException

All Implemented Interfaces:
  java.io.Serializable, org.jboss.util.NestedThrowable

    public class BuildException

extends org.jboss.util.NestedException

Version:
  $Revision: 8784 $
Author:
  Julien Viet
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.jboss.util.NestedThrowable
`org.jboss.util.NestedThrowable.Util`

Field Summary

Fields inherited from class org.jboss.util.NestedException
`nested`

Fields inherited from interface org.jboss.util.NestedThrowable
`DETECT_DUPLICATE_NESTING, NESTED_TRACE_ENABLED, PARENT_TRACE_ENABLED`

Constructor Summary
`BuildException()`
`BuildException(java.lang.Exception nested)`
`BuildException(java.lang.String message)`
`BuildException(java.lang.String message, java.lang.Exception nested)`

Method Summary

Methods inherited from class org.jboss.util.NestedException
`getCause, getMessage, getNested, printStackTrace, printStackTrace, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### BuildException

    public BuildException()

### BuildException

    public BuildException(java.lang.String message)

### BuildException

    public BuildException(java.lang.Exception nested)

### BuildException

    public BuildException(java.lang.String message,
                          java.lang.Exception nested)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD